Bug 961227 - Missing JENKINS_PASSWORD and JENKINS_USERNAME environment variables under jenkins/env directory for jenkins-1.4 application after v2 migration
Missing JENKINS_PASSWORD and JENKINS_USERNAME environment variables under jen...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 03:51 EDT by Wei Sun
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:55:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-09 03:51:57 EDT
Description of problem:

When migrating v1 jenkins-1.4 app to v2 format,under jenkins/env directory,JENKINS_PASSWORD and JENKINS_USERNAME environment variables  are missing.

Version-Release number of selected component (if applicable):
Upgraded from devenv_345 to devenv_3200

How reproducible:
Always

Steps to Reproduce:
1. Launch a devenv-stage_345 ami
2. Create app with jenkins-1.4 cartridge
3. scp -r ~/devenv-local and /etc/yum.repos.d/local.repo from devenv_3200 instance to same location on devenv-stage_345 instance
4. yum -y update --enablerepo devenv-local (This will upgrade devenv-stage_345 to devenv_3200)
5. oo-cart-version -c v2
6. rhc-v2-migrate --version 2.0.28
7.  ssh into app
  
Actual results:
[jks-wsunv2migrate.dev.rhcloud.com 674303641106873455738880]\> tree jenkins/env/
jenkins/env/
|-- OPENSHIFT_JENKINS_DIR
|-- OPENSHIFT_JENKINS_IDENT
`-- OPENSHIFT_JENKINS_LOG_DIR

0 directories, 3 files


Expected results:
[jk-wsunv23202.dev.rhcloud.com 518b4fe65903c022c8000001]\> tree jenkins/env/
jenkins/env/
|-- JENKINS_PASSWORD
|-- JENKINS_USERNAME
|-- OPENSHIFT_JENKINS_DIR
|-- OPENSHIFT_JENKINS_IDENT
`-- OPENSHIFT_JENKINS_LOG_DIR

Additional info:
Comment 1 Dan McPherson 2013-05-13 12:09:31 EDT
I went the direction of removing JENKINS_PASSWORD and JENKINS_USERNAME from  jenkins/env/

https://github.com/openshift/origin-server/pull/2438
Comment 3 Wei Sun 2013-05-14 01:59:15 EDT
According to #comment1,verified on devenv_3223.
Result:

1.New jenkins app on devenv_3223
[jks-wsun3223zz.dev.rhcloud.com 5191d0ee4ec8ea0fc0000003]\> tree jenkins/env/
jenkins/env/
|-- OPENSHIFT_JENKINS_DIR
|-- OPENSHIFT_JENKINS_IDENT
`-- OPENSHIFT_JENKINS_LOG_DIR

0 directories, 3 files

2.jenkins app from v1 to v2
[jks-wsunmi3221.dev.rhcloud.com 9f146b3ebc4311e29d9022000a880b50]\> tree jenkins/env/
jenkins/env/
|-- OPENSHIFT_JENKINS_DIR
|-- OPENSHIFT_JENKINS_IDENT
`-- OPENSHIFT_JENKINS_LOG_DIR

0 directories, 3 files

Note You need to log in before you can comment on or make changes to this bug.